### Signal

# RB ShellPlayer::playing-song-property-changed

#### Declaration

    void
    playing_song_property_changed (
      RBShellPlayer* self,
      gchar* uri,
      gchar* property,
      const GValue* old,
      const GValue* newvalue,
      gpointer user_data
    )

#### Description [src]

Emitted when a property of the playing database entry changes.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`uri`

  Type: `gchar*`

  The URI of the playing entry.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`property`

  Type: `gchar*`

  The name of the property that changed.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`old`

  Type: `GValue`

  The previous value for the property.

  The data is owned by the caller of the function.

`newvalue`

  Type: `GValue`

  The new value of the property.

  The data is owned by the caller of the function.